Create a procedure
curl --request POST \
--url https://api.example.com/sop/ \
--header 'Content-Type: application/json' \
--header 'x-user-id: <x-user-id>' \
--data '
{
"data": {
"name": "<string>",
"steps": [
{
"subject": "<string>",
"description": "<string>",
"executor": {
"agent_id": "<string>",
"session_key": "<string>"
},
"version": "v1",
"verifier": {
"agent": {
"agent_id": "<string>",
"session_key": "<string>"
},
"type": "agent",
"criteria": ""
},
"max_attempts": 3
}
],
"description": "",
"workspace_grain": "run",
"session_settings": {}
}
}
'import requests
url = "https://api.example.com/sop/"
payload = { "data": {
"name": "<string>",
"steps": [
{
"subject": "<string>",
"description": "<string>",
"executor": {
"agent_id": "<string>",
"session_key": "<string>"
},
"version": "v1",
"verifier": {
"agent": {
"agent_id": "<string>",
"session_key": "<string>"
},
"type": "agent",
"criteria": ""
},
"max_attempts": 3
}
],
"description": "",
"workspace_grain": "run",
"session_settings": {}
} }
headers = {
"x-user-id": "<x-user-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-user-id': '<x-user-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
name: '<string>',
steps: [
{
subject: '<string>',
description: '<string>',
executor: {agent_id: '<string>', session_key: '<string>'},
version: 'v1',
verifier: {
agent: {agent_id: '<string>', session_key: '<string>'},
type: 'agent',
criteria: ''
},
max_attempts: 3
}
],
description: '',
workspace_grain: 'run',
session_settings: {}
}
})
};
fetch('https://api.example.com/sop/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sop_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}sop
Create a procedure
Store a new procedure.
Args:
body (CreateSOPRequest):
The procedure to store.
user_id (str):
Injected authenticated user id.
storage (StorageBase):
Injected storage backend.
Returns:
CreateSOPResponse:
The server-assigned identifier.
Raises:
HTTPException:
422 if a run of it could not open its sessions.
POST
/
sop
/
Create a procedure
Headers
Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.
Body
application/json
Request body for creating a procedure.
The procedure to store.
Show child attributes
Show child attributes
Response
Successful Response
Response body after creating a procedure.
Server-assigned procedure identifier.